#include <BlockScopeWxApp.h>
#include <wx/wx.h>


class DummyWxApp : public wxApp
{
public:
  bool OnInit( );
  int  OnExit() { return true; }
};

IMPLEMENT_APP_NO_MAIN(DummyWxApp);


bool DummyWxApp::OnInit( )
{	 
//  std::cout << "OnInit()"<<std::endl;
  wxApp::OnInit();
#ifdef __WXGTK__
  //See http://www.wxwindows.org/faqgtk.htm#locale
  setlocale(LC_NUMERIC, "C");
#endif
  return true;
}


BlockScopeWxApp::BlockScopeWxApp()
{
  mNeedToUninitialize = false;
  if (wxApp::GetInstance()==0)
    {
      wxApp::SetInstance(new DummyWxApp);
      wxInitialize();
      mNeedToUninitialize = true;
    }
}

BlockScopeWxApp::~BlockScopeWxApp()
{
  if (mNeedToUninitialize) wxUninitialize();
}


 

