#ifndef __creaImageIOWxGimmickFrame_h_INCLUDED__
#define __creaImageIOWxGimmickFrame_h_INCLUDED__

#ifdef USE_WXWIDGETS

#include <creaImageIOWxGimmickView.h>
#include <creaWx.h>

namespace creaImageIO
{
  /**
   * \ingroup GUI
   */
  //=====================================================================
 //=====================================================================
  class CREAIMAGEIO_EXPORT WxGimmickFrame : public wxFrame
  {
  public:
    WxGimmickFrame();    
    WxGimmickFrame(wxWindow *parent, 
		   const wxWindowID id,
		   wxString title,
		   const wxPoint& pos, 
		   const wxSize& size,
		   int threads = 0);
    
    ~WxGimmickFrame();

    //    Gimmick* GetGimmick() { return mGimmick; }
    //    typedef WxGimmick ViewType;
    //    typedef WxGimmickView::EventType EventType;



     
    //    void OnSelChanged(EventType& event);
    //    void OnContextualMenu(EventType& event);
    //    void OnMenuTest(wxCommandEvent& event);
    //    void OnButtonOk(wxCommandEvent& event);
    //    void OnButtonCancel(wxCommandEvent& event);

    //    DECLARE_EVENT_TABLE();
  private :
    
    Gimmick*       mGimmick;
    WxGimmickView* mView;

  }; // class WxGimmickFrame
  //=====================================================================

  
} // EO namespace creaImageIO


#endif // USE_WIDGETS
// EOF
#endif  
